Bug 63075 - Some Xkb options seem to gets ignored
Some Xkb options seem to gets ignored
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-09 16:28 EDT by Stas Sergeev
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-01 08:33:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stas Sergeev 2002-04-09 16:28:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.19-pre4-ac4 i686)

Description of problem:
I have these options in the "Keyboard" section of my XF86Config-4 file:
    XkbRules    "xfree86"
    XkbModel    "pc104"
    XkbLayout   "ru"
    XkbVariant  "winkeys"
    XkbOptions  "grp:ctrl_shift_toggle"
    XkbKeymap	"xfree86(ru)"
    XkbKeycodes     "xfree86"
However some of them are get ignored. The most annoying is that
XkbOption "grp:xxx" gets ignored.
What I have in the log about Xkb is this:
(**) Option "XkbLayout" "ru"
(**) XKB: layout: "ru"
(==) Keyboard: CustomKeycode disabled

And switching between the default and ru keymap doesn't work.
However simply executing `setxkbmap -option "grp:ctrl_shift_toggle"`
makes the switching to work correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Put the specified above options to XF86Config-4
2.startx
3.start xterm
4.Press Ctrl+Shift and type something to ensure that swithing doesn't work

Actual Results:  English characters are typed

Expected Results:  Cyrillic characters are typed

Additional info:

XFree86-4.2.0-6.47 from Rawhide.
setxkbmap -option "grp:ctrl_shift_toggle" makes switching to work.
Comment 1 Mike A. Harris 2002-05-30 01:28:52 EDT
Defering for future.
Comment 2 Stas Sergeev 2002-05-30 09:29:55 EDT
But the inability of specifying "grp" means that the one simply can't use
the layout switching, which is quite, hmm, fatal.
My question is: is it reproduceable for you (and then for the rest of the
world),
or it is only my local configuration problem? If it is a local problem, I
think I can track it down myself, I just have to know this.
Comment 3 Stas Sergeev 2003-03-01 08:29:34 EST
Sorry for that report, I've figured out
how to do that XFree-4 way.
How can I change the resolution to "NOTABUG"?

Note You need to log in before you can comment on or make changes to this bug.